Bug 116510 - Support Cut, Copy, and Paste with images anchored to Cells
Summary: Support Cut, Copy, and Paste with images anchored to Cells
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Calc-Images Clipboard
  Show dependency treegraph
 
Reported: 2018-03-19 22:08 UTC by Luke
Modified: 2018-04-05 21:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Better test example where images are fully within the bounds of the cells (25.36 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-03-23 20:52 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-03-19 22:08:41 UTC
With Bug 98931 fixed, we now have the ability to insert images into cells. But the Cut, Copy, and Paste does not behave as expected.

Steps to Reproduce:
1. Open attachment 139094 [details] in Calc and Excel
2. Select a Row
3. Cut 
4. Paste

Expected Results:

The picture should move with number

Actual Results:

In Calc, only the number is moved. In Excel, both are moved.
Comment 1 m.a.riosv 2018-03-20 22:10:06 UTC Comment hidden (off-topic)
Comment 2 Thomas Lendo 2018-03-22 19:10:01 UTC
Thanks for fixing this bug, Samuel.

For the formality [1], can you please post the link to the commit?

[1] https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/RESOLVED#FIXED
Comment 3 Samuel Mehrbrodt (CIB) 2018-03-23 07:42:14 UTC
(In reply to Thomas Lendo from comment #2)
> For the formality [1], can you please post the link to the commit?

Seems the commit notification is broken?

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d8b7119859897fa98b6588e2426a13fbd51cf3dd
Comment 4 Luke 2018-03-23 20:52:16 UTC
Created attachment 140835 [details]
Better test example where images are fully within the bounds of the cells

When I went to verify this bug under Windows, I found that cutting and pasting of columns works. But Rows and individual cells do not. Should I file a new bug or track it here?
Comment 5 Samuel Mehrbrodt (CIB) 2018-03-26 08:30:07 UTC
(In reply to Luke from comment #4)
> Created attachment 140835 [details]
> Better test example where images are fully within the bounds of the cells
> 
> When I went to verify this bug under Windows, I found that cutting and
> pasting of columns works. But Rows and individual cells do not. Should I
> file a new bug or track it here?

Thanks for testing, lets keep it here. Reopening this bug.
Comment 6 Commit Notification 2018-03-27 12:01:09 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8766bb000afceb4a070ef310b939f7250e5c3a8a

tdf#116510 Unit test for copying columns with images anchored to cells

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-04-04 14:25:16 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e49269f794f6eae193fa9af8846a470baab0c1b

tdf#116510 Copy graphics too when copying cells/rows

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-04-05 06:00:21 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a2e5833f97890ad3b980955626d53622d57377d

tdf#116510 Unit test for copying graphics from individual cells

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Samuel Mehrbrodt (CIB) 2018-04-05 07:15:02 UTC
(In reply to Luke from comment #4)
> Created attachment 140835 [details]
> Better test example where images are fully within the bounds of the cells
> 
> When I went to verify this bug under Windows, I found that cutting and
> pasting of columns works. But Rows and individual cells do not.

Should work now. Could you please test again?
Comment 10 Luke 2018-04-05 21:44:46 UTC
Tested, and verified working on both Windows and Linux. Verified on 6.1.0.0.alpha0+ (x64) Build ID: f76a22c7656f8741cf26c220fed1f8cd5a7d79c1

Thanks Samuel!